%global  schemas desktop_mate_accessibility_keyboard desktop_mate_accessibility_startup desktop_mate_applications_at_mobility desktop_mate_applications_at_visual desktop_mate_applications_browser desktop_mate_applications_office desktop_mate_applications_terminal desktop_mate_applications_window_manager desktop_mate_background desktop_mate_file_views desktop_mate_interface desktop_mate_lockdown desktop_mate_peripherals_keyboard desktop_mate_peripherals_mouse desktop_mate_sound desktop_mate_thumbnail_cache desktop_mate_thumbnailers desktop_mate_typing_break
 
Summary:	MATE Desktop base libraries
Name:	libmate
Version:	1.4.0
Release:	17%{?dist}
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz
License:	GPLv2+ and LGPLv2+

Buildrequires: mate-common mate-desktop-devel mate-corba-devel mate-vfs-devel mate-conf-devel mate-conf-gtk mate-conf libmatecomponent-devel libcanberra-devel mate-doc-utils popt-devel
Requires(pre):	mate-conf
Requires(post):	mate-conf
Requires(preun):	mate-conf
Requires: mate-conf

%description
MATE Desktop base libraries

%package devel
Summary: Development libraries, header files and utilities for libmate
Group: Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Development libs and headers for libmate

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh

%build
%configure -disable-static --disable-schemas-install --disable-esd
make %{?_smp_mflags} V=1


%install
export MATECONF_DISABLE_MAKE_FILE_SCHEMA INSTALL=1
make LIBTOOL="/usr/bin/libtool" DESTDIR=%{buildroot} install

find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'

%find_lang %{name}


%pre
%mateconf_schema_prepare %{schemas}


%preun
%mateconf_schema_remove %{schemas}


%post
/sbin/ldconfig
%mateconf_schema_upgrade %{schemas}


%postun
/sbin/ldconfig


%files -f %{name}.lang
%doc AUTHORS README
%{_mandir}/man7/*
%{_bindir}/mate-open
%{_sysconfdir}/sound/events/mate.soundlist
%{_sysconfdir}/sound/events/gtk2-mate-events.soundlist
%{_sysconfdir}/mateconf/schemas/desktop_mate_accessibility_keyboard.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_accessibility_startup.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_applications_at_mobility.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_applications_at_visual.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_applications_browser.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_applications_office.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_applications_terminal.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_applications_window_manager.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_background.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_file_views.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_interface.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_lockdown.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_peripherals_keyboard.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_peripherals_mouse.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_sound.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_thumbnail_cache.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_thumbnailers.schemas
%{_sysconfdir}/mateconf/schemas/desktop_mate_typing_break.schemas
%{_datadir}/mate-background-properties/mate-default.xml
%{_libdir}/libmate-2.so.0.400.0
%{_libdir}/libmate-2.so.0
%{_libdir}/matecomponent/servers/MATE_Moniker_std.server
%{_libdir}/matecomponent/monikers/libmoniker_extra_2.so

%files devel
%{_datadir}/gtk-doc/html/libmate/
%{_includedir}/libmate-2.0/
%{_libdir}/libmate-2.so
%{_libdir}/pkgconfig/libmate-2.0.pc

%changelog
* Wed Oct 17 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-17
- missed spelling mistake

* Wed Oct 17 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-16
- really fix it this time

* Wed Oct 17 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-15
- fix broken scriptlets

* Wed Oct 17 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-14
- move unversioned .so to main package
- clean up spec file and scriptlets

* Sun Sep 30 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-13
- Update requires for devel package

* Tue Sep 25 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-12
- Clean up pre and post scriptlets

* Mon Sep 24 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-11
- Fix mateconf scriptlets

* Mon Sep 24 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-10
- Fix missing % sign from files section

* Thu Sep 20 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-9
- Add runtime requires and rebuild with working mate-conf, fix typo

* Sat Sep 15 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-8
- Move post and postun scriptlets to run before install scriptlet

* Mon Sep 10 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-7
- Fix macro to remove static files and bump release version to rebuild

* Mon Sep 10 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-6
- Add libtool path for make.

* Mon Sep 10 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-5
- Remove pre scriptlet and move upgrade macros to post section

* Sun Sep 09 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-4
- Remove mate conf scriptlets from post section that were causing issues and fix broken dependencies, move shared library to devel package

* Sat Sep 01 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-3
- Fix broken dependencies on pkgconfig and typos
 
* Sun Aug 26 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-2
- Simplify devel files to own proper directory, move gtk-doc folder to devel package, removed ldconfig from pre macro, bumped release version

* Sat Aug 25 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-1
- Initial build
